ZENABLE(3CgFX)

NAME
ZEnable - 3D API Z enable

USAGE
ZEnable = bool(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Enable/disable depth testing. See the GL_DEPTH_TEST description on the OpenGL glEnable manual page for details. See the D3DRS_ZENABLE render state description for DirectX 9.

The standard reset callback sets the ZEnable state to bool(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearDepth, DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthFunc, DepthMask, DepthRange, DepthTestEnable, SlopScaleDepthBias, ZFunc, ZWriteEnable